Last Comment Bug 585142 - (mathml-demos) Update start/demo pages of Mozilla MathML Project
(mathml-demos)
: Update start/demo pages of Mozilla MathML Project
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: MathML (show other bugs)
: Trunk
: x86 Linux
: P5 normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on: 749103 translate-math-start validate-math-pages tex-image-source 557481 557482 remove-screenshots mathml-in-mdn update-notes 700433 700440 728725
Blocks: update-mathml-doc
  Show dependency treegraph
 
Reported: 2010-08-06 12:17 PDT by Frédéric Wang (:fredw)
Modified: 2014-04-25 00:51 PDT (History)
12 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Remove old MathML tests that have been moved to MDN (22.99 KB, patch)
2012-12-01 09:22 PST, Frédéric Wang (:fredw)
karlt: review+
Details | Diff | Review

Description Frédéric Wang (:fredw) 2010-08-06 12:17:21 PDT
This is a tracking bug for the demo pages of the Mozilla MathML Project.
We should migrate these pages to MDN, when we can use HTML5.
Comment 1 Frédéric Wang (:fredw) 2012-12-01 09:22:52 PST
Created attachment 687413 [details] [diff] [review]
Remove old MathML tests that have been moved to MDN

Test pages moved to MDN:

https://developer.mozilla.org/en-US/docs/Mozilla_MathML_Project/Various
Comment 2 Frédéric Wang (:fredw) 2012-12-01 10:40:05 PST
Mozilla MathML Project moved to Mozilla Developer Network!

Old pages:

http://www.mozilla.org/projects/mathml/start-ar.html
http://www.mozilla.org/projects/mathml/start-hebrew.html
http://www.mozilla.org/projects/mathml/start.html
http://www.mozilla.org/projects/mathml/start-thai.html
http://www.mozilla.org/projects/mathml/start-zh.html
http://www.mozilla.org/projects/mathml/demo/basics.html
http://www.mozilla.org/projects/mathml/demo/extras.html
http://www.mozilla.org/projects/mathml/demo/mfrac.html
http://www.mozilla.org/projects/mathml/demo/mmultiscripts.html
http://www.mozilla.org/projects/mathml/demo/mo.html
http://www.mozilla.org/projects/mathml/demo/mspace.html
http://www.mozilla.org/projects/mathml/demo/mtable.html
http://www.mozilla.org/projects/mathml/demo/roots.html
http://www.mozilla.org/projects/mathml/demo/texvsmml.html
http://mxr.mozilla.org/mozilla-central/source/layout/mathml/tests/all-presentation.xml
http://mxr.mozilla.org/mozilla-central/source/layout/mathml/tests/various.xml

New pages:

https://developer.mozilla.org/en-US/docs/Mozilla_MathML_Project#Sample_MathML_Documents

If you see any formatting issues, think some content lost after the migration should be preserved or have any other suggestions, please do not hesitate to comment here or modify the wiki page yourself.

I guess we should pay particular attention to the MathML Torture Test, given its importance for testing, demo etc. I've removed the header and replaced it by a <select> element to emulate the font selection. Tell me if that looks good to you. Perhaps we should consider adding a protection to prevent anybody to edit it?

Later, we will be able to remove the old pages and add redirections to the new ones. We can already fix some links on MDN that point to the old location.
Comment 3 Ryan VanderMeulen [:RyanVM] 2012-12-03 17:30:34 PST
https://hg.mozilla.org/integration/mozilla-inbound/rev/552c32897718
Comment 4 Ryan VanderMeulen [:RyanVM] 2012-12-04 19:06:22 PST
https://hg.mozilla.org/mozilla-central/rev/552c32897718
Comment 5 Frédéric Wang (:fredw) 2014-04-25 00:51:30 PDT
I think that meta bug can be closed.

Note You need to log in before you can comment on or make changes to this bug.